Reference

Create a cost alert

POST
/api/v1/cost-alerts

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/cost-alerts" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "params": {      "budget": 1,      "reset": "monthly",      "rules": [        {          "amount": 1,          "unit": "percent"        }      ]    },    "source_id": "string",    "recipients": [      {        "name": "string",        "email": "string",        "member": true      }    ]  }'
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "id": "string",
    "name": "string",
    "params": {
      "kind": "budget",
      "budget": "string",
      "reset": "monthly",
      "rules": [
        {
          "amount": "string",
          "unit": "percent",
          "window": "within",
          "days": 1,
          "reference": "start_of_month"
        }
      ],
      "cost_basis": "unblended"
    },
    "source_id": "string",
    "recipients": [
      {
        "name": "string",
        "email": "string",
        "member": true
      }
    ],
    "slack_channels": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "slack_channel": "string",
    "enabled": true,
    "paused_by": "string",
    "sent_to_me": false,
    "watching": [
      {
        "key": "string",
        "state": "ok",
        "period": "string",
        "observed_usd": 0
      }
    ]
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
Ask the FinOps Agent about your cloud spend